networks:
  nw-letto:
    external: true

# Der Name bestimmt das Projekt und sollte bei jeder yml-Datei unterschiedlich sein - er kann mit -p bei docker-compose überschrieben werden
name: letto-htmlpreview

services:
  htmlpreview:
    image: lettohub/letto-service-htmlpreview:stable
    extra_hosts:
      - "lettohost:host-gateway"
    networks:
      - nw-letto
    deploy:
      resources:
        limits:
          memory: "${HTMLPREVIEW_MEMORY_LIMIT:-0.5G}"

    hostname: letto-htmlpreview
    container_name: letto-htmlpreview

    volumes:
      - ${VOLUME_PREVIEW:-/opt/letto/docker/storage/images/preview}:/data
    environment:
      - DISABLE_WEB_SECURITY=0
      - DATA_DIR=/data
    ports:
    #  - "8105:8000"
      - "${DEBUG_PORT_HTMLPREVIEW:-5105}:5105"